> ## Documentation Index
> Fetch the complete documentation index at: https://docs.entropi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product List

> Returns a list of all products under a given user and/or organization



## OpenAPI

````yaml GET /v1/products/getList
openapi: 3.0.1
info:
  title: Entropi API
  description: A guide to Entropi's public APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://dev.entropi.app
security:
  - bearerAuth: []
paths:
  /v1/products/getList:
    get:
      description: Returns a list of all products under a given user and/or organization
      parameters:
        - required: true
          name: userID
          in: query
          description: 'Retrieve products associated with this userID '
          schema:
            type: string
        - required: true
          name: orgID
          in: query
          description: Retrieve products associated with this orgID
          schema:
            type: string
      responses:
        '200':
          description: Product List
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: array
                    description: Array of JSON objects with product details matching query
                    items:
                      $ref: '#/components/schemas/Product'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Product:
      required:
        - name
        - desc
        - orgID
        - userID
        - productID
      type: object
      properties:
        productID:
          description: Product ID
          type: string
        name:
          description: Name of the product
          type: string
        desc:
          description: A detailed description of the product
          type: string
        url:
          description: URL to product page, if applicable
          type: string
        orgID:
          description: Organization ID. See Organizations endpoint for details
          type: string
        userID:
          description: User ID. See Users endpoint for details
          type: string
        imageLink:
          description: URL to an image of the product
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````